﻿using Discord.WebSocket;

namespace MinecraftDiscordBot;

public interface IUserRoleManager {
    /// <summary>
    /// Verifies that a user is a bot administrator.
    /// </summary>
    /// <param name="user">User ID.</param>
    /// <param name="message">An optional message to throw when user is not authorized.</param>
    /// <exception cref="ReplyException">User is not authorized.</exception>
    void RequireAdministrator(ulong user, string? message = null);
}